## org.opengis.filter.capability
Interface SpatialOperators

    public interface SpatialOperators

Supported spatial operators in a filter capabilities document.

      <xsd:complexType name="Spatial_OperatorsType">
          <xsd:choice maxOccurs="unbounded">
              <xsd:element ref="ogc:BBOX"/>
              <xsd:element ref="ogc:Equals"/>
              <xsd:element ref="ogc:Disjoint"/>
              <xsd:element ref="ogc:Intersect"/>
              <xsd:element ref="ogc:Touches"/>
              <xsd:element ref="ogc:Crosses"/>
              <xsd:element ref="ogc:Within"/>
              <xsd:element ref="ogc:Contains"/>
              <xsd:element ref="ogc:Overlaps"/>
              <xsd:element ref="ogc:Beyond"/>
              <xsd:element ref="ogc:DWithin"/>
          </xsd:choice>
      </xsd:complexType>

Method Summary
`SpatialOperator` `getOperator(String name)` Looks up an operator by name, returning null if no such operator found.
`SpatialOperator[]` `getOperators()` Provided spatial operators.

Method Detail

### getOperators

    SpatialOperator[] getOperators()

  Provided spatial operators.

### getOperator

    SpatialOperator getOperator(String name)

  Looks up an operator by name, returning null if no such operator found.

  Parameters:
    `name` - the name of the operator.
  Returns:
    The operator, or null.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.